package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.generated.protocol.Envelope;
import io.accumulatenetwork.sdk.protocol.RPCBody;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("ExecuteRequest")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ExecuteRequest implements RPCBody {
	private Envelope envelope;
	private boolean checkOnly;

    //
	public Envelope getEnvelope() {
	    return envelope;
	}
	public void setEnvelope(final Envelope value) {
	    this.envelope = value;
	}

	public ExecuteRequest envelope(final Envelope value) {
	    setEnvelope(value);
	    return this;
	}
	public boolean getCheckOnly() {
	    return checkOnly;
	}
	public void setCheckOnly(final boolean value) {
	    this.checkOnly = value;
	}

	public ExecuteRequest checkOnly(final boolean value) {
	    setCheckOnly(value);
	    return this;
	}
}
